# Interface TestCompilerHelper

All Known Implementing Classes:
  `AbstractThreadGroup, CriticalSectionController, ForeachController, GenericController, IfController, IncludeController, InterleaveControl, LoopController, ModuleController, OnceOnlyController, PostThreadGroup, ProxyControl, RandomController, RandomOrderController, RecordingController, RunTime, SetupThreadGroup, SwitchController, TestFragmentController, ThreadGroup, ThroughputController, TransactionController, WhileController`

public interface TestCompilerHelper
Bug 53796 - TestCompiler uses static Set which can grow huge This interface is a means to allow the pair data to be saved with the parent instance, thus allowing it to be garbage collected when the thread completes. This uses a bit more memory, as each controller test element includes the data structure to contain the child element. However, there is no need to store the parent element.

Since:
  2.8

## Method Summary

Modifier and Type
Method
Description
`boolean`
`addTestElementOnce(TestElement child)`
Add child test element only if it has not already been added.

## Method Details

### addTestElementOnce

boolean addTestElementOnce(TestElement child)
Add child test element only if it has not already been added.

Only for use by TestCompiler.

Parameters:
  `child` - the `TestElement` to be added
Returns:
  `true` if the child was added